Bug 439118 - spectool -g can't handle some macros
spectool -g can't handle some macros
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 22:54 EDT by Kevin Fenzi
Modified: 2008-03-28 05:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 05:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2008-03-26 22:54:54 EDT
spectool -g can't seem to get source when the Source line is constructed like: 

Source0:   %{URL}/%{archivename}.tar.bz2

See the 'edrip-fonts' package for an example. 

It doesn't return an error, just fails to try to download at all...
Comment 1 Ville Skyttä 2008-03-27 16:19:42 EDT
Not too surprising, given that:

$ spectool edrip-fonts.spec
Source0: %{URL}/edrip-src-20080317.tar.bz2
Source1: edrip-fonts-fontconfig.conf
Patch0: edrip-fonts-license.patch
Comment 2 Kevin Fenzi 2008-03-27 16:51:41 EDT
Ah, should be %{url}. ;( 

Sorry about that. Feel free to close this NOTABUG... 


Note You need to log in before you can comment on or make changes to this bug.